[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: J2, needed packages

Hash: SHA1

Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de> writes:

> On Thu, Oct 03, 2002 at 11:25:55PM +1000, Glenn McGrath wrote:
> > I tried to compile the latest gcc package, there is a build dependency on
> > doxygen,
> What a shame.
> > libgimpprint
> Almost impossible.  I tried it once, and I had to give up after tracking
> back build-dependencies in the dozens.   We'd need the POSIX shared memory
> patches, I think, and pthreads.


I'm an upstream maintainer of gimp-print, and I'm also in the NM
queue.  I know that gimp-print has quite a set of build-dependencies,
and I have reduced them a bit (by removing the SGML stuff by using the
upstream tarball with prebuilt docs).  Also, I guess you are depending
on libgimpprint via gs.

I want to remove the gimpprint gs driver, and replace it with an IJS
driver instead (basically IJS is a protocol to allow gs to use other
programs as drivers, communicating via pipes).  Once IJS is in Debian,
I can create the ijsgimpprint package, and ask Torsten to remove the
gimp-print patch from gs.

Unfortunately, I haven't found a sponsor to upload my IJS packages (or
my new gimp-print packages since Eric Sharkey, the current maintainer,
whom I am replacing, is too busy to do it at the moment).  If someone
could sponsor these, I'm sure the gimp-print build-dependency could be
removed relatively soon.

The (signed) source is available from:


Please note my i386 sid install is quite out of date since I'm on a
very slow dialup link, so they will require rebuilding before upload.


- -- 
Roger Leigh
                "Liberty and Livelihood" - Support the Countryside Alliance
                Need Epson Stylus Utilities? http://gimp-print.sourceforge.net/
                GPG Public Key: 0x25BFB848 available on public keyservers
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.6 <http://mailcrypt.sourceforge.net/>


Reply to: